summaryrefslogtreecommitdiff
path: root/sh
diff options
context:
space:
mode:
authorRoy Marples <roy@marples.name>2008-03-27 16:53:22 +0000
committerRoy Marples <roy@marples.name>2008-03-27 16:53:22 +0000
commitb3d1182a2f233d49e07de35eeab9506fa5892c05 (patch)
tree12bdc32aa0baad4c45f7e4337adaff245f6fc4d0 /sh
parentf6cb321f9f01cd0d6380c931f7b2f379dd4c9d82 (diff)
downloadopenrc-b3d1182a2f233d49e07de35eeab9506fa5892c05.tar.gz
openrc-b3d1182a2f233d49e07de35eeab9506fa5892c05.tar.bz2
openrc-b3d1182a2f233d49e07de35eeab9506fa5892c05.tar.xz
Fix mulitlib issues.
Diffstat (limited to 'sh')
-rw-r--r--sh/functions.sh.in6
-rw-r--r--sh/init-common-post.sh2
-rw-r--r--sh/rc-functions.sh.in10
3 files changed, 9 insertions, 9 deletions
diff --git a/sh/functions.sh.in b/sh/functions.sh.in
index 1a1fbba..7575d9c 100644
--- a/sh/functions.sh.in
+++ b/sh/functions.sh.in
@@ -43,7 +43,7 @@ _sanitize_path()
local IFS=":" p= path=
for p in ${PATH}; do
case "${p}" in
- @PREFIX@/lib/rc/sbin|@PREFIX@/bin|@PREFIX@/sbin|/usr/bin|/usr/sbin);;
+ @PREFIX@/@LIB@/rc/sbin|@PREFIX@/bin|@PREFIX@/sbin|/usr/bin|/usr/sbin);;
@PKG_PREFIX@/bin|@PKG_PREFIX@/sbin);;
@LOCAL_PREFIX@/bin|@LOCAL_PREFIX@/sbin);;
*) path="${path}${path:+:}${p}";;
@@ -66,7 +66,7 @@ _PREFIX=@PREFIX@
_PKG_PREFIX=@PKG_PREFIX@
_LOCAL_PREFIX=@LOCAL_PREFIX@
_LOCAL_PREFIX=${_LOCAL_PREFIX:-/usr/local}
-_PATH=@PREFIX@/lib/rc/bin
+_PATH=@PREFIX@/@LIB@/rc/bin
case "${_PREFIX}" in
"${_PKG_PREFIX}"|"${_LOCAL_PREFIX}") ;;
*) _PATH="${_PATH}:${_PREFIX}/bin:${_PREFIX}/sbin";;
@@ -99,7 +99,7 @@ else
# the last ecmd
for _e in ebegin eend error errorn einfo einfon ewarn ewarnn ewend \
vebegin veend veinfo vewarn vewend; do
- eval "${_e}() { local _r; @PREFIX@/lib/rc/bin/${_e} \"\$@\"; _r=$?; \
+ eval "${_e}() { local _r; @PREFIX@/@LIB@/rc/bin/${_e} \"\$@\"; _r=$?; \
export EINFO_LASTCMD=${_e}; return \$_r; }"
done
unset _e
diff --git a/sh/init-common-post.sh b/sh/init-common-post.sh
index cb44999..61f3863 100644
--- a/sh/init-common-post.sh
+++ b/sh/init-common-post.sh
@@ -8,7 +8,7 @@ retval=0
# the old service state data
if [ "${RC_SVCDIR}" != "/" ] && mkdir "${RC_SVCDIR}/.test.$$" 2>/dev/null; then
rmdir "${RC_SVCDIR}/.test.$$"
- for x in ${RC_SVCDIR:-/lib/rc/init.d}/*; do
+ for x in ${RC_SVCDIR:-/@LIB@/rc/init.d}/*; do
[ -e "${x}" ] || continue
case ${x##*/} in
depconfig|deptree|ksoftlevel|rc.log);;
diff --git a/sh/rc-functions.sh.in b/sh/rc-functions.sh.in
index 74db71e..f449783 100644
--- a/sh/rc-functions.sh.in
+++ b/sh/rc-functions.sh.in
@@ -4,15 +4,15 @@
has_addon()
{
- [ -e "${RC_LIBDIR}/addons/$1.sh" ] || [ -e /lib/rcscripts/addons/"$1".sh ]
+ [ -e "${RC_LIBDIR}/addons/$1.sh" ] || [ -e /@LIB@/rcscripts/addons/"$1".sh ]
}
import_addon()
{
if [ -e "${RC_LIBDIR}/addons/$1.sh" ]; then
. "${RC_LIBDIR}/addons/$1.sh"
- elif [ -e /lib/rcscripts/addons/"$1".sh ]; then
- . /lib/rcscripts/addons/"$1".sh
+ elif [ -e /@LIB@/rcscripts/addons/"$1".sh ]; then
+ . /@LIB@/rcscripts/addons/"$1".sh
else
return 1
fi
@@ -75,6 +75,6 @@ get_bootparam()
# Add our sbin to $PATH
case "${PATH}" in
- @PREFIX@/lib/rc/sbin|@PREFIX@/lib/rc/sbin:*);;
- *) export PATH="@PREFIX@/lib/rc/sbin:${PATH}";;
+ "${RC_LIBDIR}"/rc/sbin|"${RC_LIBDIR}"/rc/sbin:*);;
+ *) export PATH="${RC_LIBDIR}/rc/sbin:${PATH}";;
esac